package com.sqx.modules.resumes.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.resumes.entity.ViewResumes;
import com.sqx.modules.resumes.vo.ViewResumesVo;

public interface ViewResumesService extends IService<ViewResumes> {

    Integer selectResumesByCompanyIdAndTime(Long companyId);

    Result selectResumesByUserId(Integer page, Integer limit, Long userId);

    int getUseCount(Long companyId);

    IPage<ViewResumesVo> getViewResumesList(Integer page, Integer limit, Long userId);
}
